// main
// xmodem receive utility

#include "xmodem.h"

volatile unsigned char buf[133];

struct global
{ 
  volatile unsigned char *recv_ptr; 
  volatile unsigned char buffer_status;
  volatile unsigned char recv_error;
  volatile unsigned char t1_timed_out;
} gl;
   
//unsigned char packet_number;
 
// function prototypes            
void receive(volatile unsigned char *bufptr1);
void purge(void);
void init(void);

void C_task main(void) 
{
    init();     // low level hardware initialization
    _SEI();     /* enable interrupts */
    
 
    purge();   // clear uart data register ... allow transmitter opportunity to unload its buffer

    for( ; ;) 
    {
      while (PIND &= 0x04);   // wait until pd2 pulled low
      receive(&buf[0]);
    }

} // main
